<?php

namespace loyalsoft;

/**
 * 玩家关卡数据 extends Object
 * @version
 *          1.0.0 Created at 2017-2-14. by --gwang
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2017-2-14, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class UserGateDifficulty extends Object_ext
{

    ///目前是按关卡的难度来分的结果
    /**
     * 普通关卡
     */
    public $normal;

    /**
     * 困难关卡
     */
    public $hard;

    /**
     * 精英关卡
     */
    public $elite;

    /**
     * 战斗总次数
     */
    public $TotalNum;

    /**
     * 当天战斗的次数
     */
    public $Times;

    /**
     * 已经消灭的bossid集合
     * @var array
     */
    public $killedBoss;

    /**
     * @var userCarbonModel 关卡副本数据
     */
    public $carbons;

    function __construct($arg = null)
    {
        if (null === $arg) {
            $this->TotalNum = 0;
            $this->Times = 0;
            $this->normal = new UserGatesModel();
            $this->normal->initialize();
            $this->hard = new UserGatesModel;
            $this->hard->initialize();
            $this->elite = new UserGatesModel;
            $this->elite->initialize();
            $this->killedBoss = ArrayInit();
            $this->carbons = new UserCarbonModel;
            $this->carbons->initialize();
        } else {
            parent::__construct($arg);
        }
    }

}
